Bug 1716286 (CVE-2019-10153) - CVE-2019-10153 fence-agents: mis-handling of non-ASCII characters in guest comment fields
Summary: CVE-2019-10153 fence-agents: mis-handling of non-ASCII characters in guest co...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-10153
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1716704 1716705 1716706
Blocks: 1699243
TreeView+ depends on / blocked
 
Reported: 2019-06-03 07:19 UTC by Doran Moppert
Modified: 2019-09-29 15:14 UTC (History)
4 users (show)

Fixed In Version: fence-agents 4.3.4
Doc Type: If docs needed, set a value
Doc Text:
A flaw was discovered in fence-agents, prior to version 4.3.4, where using non-ASCII characters in a guest VM's comment or other fields would cause fence_rhevm to exit with an exception. In cluster environments, this could lead to preventing automated recovery or otherwise denying service to clusters of which that VM is a member.
Clone Of:
Environment:
Last Closed: 2019-08-06 19:21:06 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2037 None None None 2019-08-06 12:05:13 UTC

Description Doran Moppert 2019-06-03 07:19:34 UTC
It was discovered that in fence-agents prior to 4.3.4, including non-ASCII characters in a guest VM's comment or other fields would cause fence_rhevm to exit with an exception.  In cluster environments, this could lead to preventing automated recovery or otherwise denying service to clusters of which that VM is a member.

Product bug:

https://bugzilla.redhat.com/show_bug.cgi?id=1670460

Upstream fix:

https://github.com/ClusterLabs/fence-agents/pull/255
https://github.com/ClusterLabs/fence-agents/pull/272

Comment 2 Doran Moppert 2019-06-04 01:05:52 UTC
Created fence-agents tracking bugs for this issue:

Affects: fedora-all [bug 1716706]

Comment 4 Marian Rehak 2019-06-04 14:45:58 UTC
Acknowledgments:

Name: Sandro Emma (Deutsche Börse AG), Jens Kühnel (Deutsche Börse AG)

Comment 5 errata-xmlrpc 2019-08-06 12:05:12 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:2037 https://access.redhat.com/errata/RHSA-2019:2037

Comment 6 Product Security DevOps Team 2019-08-06 19:21:06 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-10153


Note You need to log in before you can comment on or make changes to this bug.